%%
%% appjarentry.tex
%% $Id: appjarentry.tex,v 1.2 2003-04-25 12:47:03 baurma Exp $
%%

\chapter{JNukeJarEntry}

An object of type \texttt{JNukeJarEntry} represents an entry withinin a Jar
archive file. Such an entry may either specify a directory or a compressed
data file.

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_getJarFile}

\code{
JNukeObj *                    \\
JNukeJarEntry\_getJarFile (   \\
\tab	const JNukeObj * this \\
)
}

\subsubsection{Description}

Get JAR file to whom this entry belongs.

\subsubsection{Parameters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

None.

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_setJarFile}

\code{
void                       \\
JNukeJarEntry\_setJarFile ( \\
\tab	JNukeObj * this,   \\
\tab	JNukeObj * jarfile \\
)
}

\subsubsection{Description}

Set JAR file to whom this entry belongs.

\subsubsection{Parameters}

\begin{description}
\ttitem{this}
\ttitem{jarfile}
\end{description}

\subsubsection{Return value}

None.

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_setSystem}

\code{
void                       \\
JNukeJarEntry\_setSystem ( \\
\tab	JNukeObj * this,   \\
\tab	const int system   \\
)
}

Set the ID of the file system that was used to create this entry.

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_getSystem}

\code{
int                           \\
JNukeJarEntry\_getSystem (    \\
\tab	const JNukeObj * this \\
)
}

\subsubsection{Description}

Get the identifier of the file system that was used to create this entry.

\subsubsection{Parameters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_setVersion}

\code{
void                        \\
JNukeJarEntry\_setVersion ( \\
\tab	JNukeObj * this,    \\
\tab	const int maj,      \\
\tab	const int min       \\
}

\subsubsection{Description}

Set PKZIP utility version required to decompress this entry.

\subsubsection{Parameters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_getVersion}

\code{
JNukeJarEntry\_getVersion (   \\
\tab	const JNukeObj * this \\
)
}

\subsubsection{Description}

Get PKZIP utility version required to decompress this entry.

\subsubsection{Parameters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_getComment}

\code{
JNukeJarEntry\_getComment (
\tab	const JNukeObj * this \\
)
}

\subsubsection{Description}

Get jar file comment for this entry.

\subsubsection{Parameters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_setComment}

\code{
JNukeJarEntry\_setComment (
\tab	JNukeObj * this \\
\tab	char * comment \\
)
}

\subsubsection{Description}

Set jar file comment for this entry. The comment for a jar file entry is
usually automatically set, but this method may be used to override a comment
for a particular entry.

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_getCompressedSize}

\subsubsection{Description}

Get the compressed size of the file.

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

Compressed size of the file.

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_setCompressedSize}

\subsubsection{Description}

Set the compressed size of the file. The compressed size of a jarfile entry
is usually automatically determined, but this method may be used to override
the setting.

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_getUncompressedSize}

\subsubsection{Description}

Get the uncompressed size of the file.

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_setUncompressedSize}

\subsubsection{Description}

Set uncompressed size of the file. The uncompressed size of a jarfile is
usually automatically set, but this method may be used to override the size.

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_getJarFileOffset}

\subsubsection{Description}

Get the file offet of the compressed data within the JAR file. 

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_setJarFileOffset}

\subsubsection{Description}

Set the file offset of the compressed data within the JAR file. This property
is usually automatically determined, but this method may be used to override
to override the setting.

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_getCRC32}

\subsubsection{Description}

Get CRC32 checksum for this entry. To prevent errors, a CRC32 checksum of
the uncompressed data is kept for each entry.

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_setCRC32}

\subsubsection{Description}

Set CRC32 checksum for each entry. This property is usually automatically
determined, but this method may be used to override the setting.


\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_getFileName}

\subsubsection{Description}

Get the filename for this entry. Note that this is not the name of the
jar file.

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_setFileName}

\subsubsection{Description}

Set the name of this entry.

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_getCompressionMethod}

\subsubsection{Description}

Get identifier for the method that was used to compress this file.

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_setCompressionMethod}

\subsubsection{Description}

Set identifier for the method used to compress this file. This property
is usually automatically set, but this method may be used to manually
override the setting.

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_isDirectory}


\subsubsection{Description}

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_getManifestAttributes}

\subsubsection{Description}

Each jar file has a special file, called the Manifest, that consists of
attributes. The attributes associated with this jar file may be queried
using this function.

To obtain the complete Manifest file, the method 
\texttt{JNukeJarFile\_getManifest} should be used instead.

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_getCertificates}

\subsubsection{Description}

For added security, a jar file may be cryptographically signed. This method
may be used to query the certificates for the current entry.

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_getCompressedData}

\subsubsection{Description}

This method may be used to obtain direct access to the compressed data
of the file. This is mainly used for internal purposes.

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_decompress}

\subsubsection{Description}

Decompress file

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}

%% ------------------------------------------------------------------------
\section{JNukeJarEntry\_dispose}

\code{
void
JNukeJarEntry\_dispose ( \\
\tab	const JNukeObj * this \\
)
}

\subsubsection{Description}

The algorithms used for decompressing an entry within a jar file automatically
maintain internal data buffers to speed up processing. These buffers are
automatically freed when an entry object is freed. This method may be used
to manually dispose the data buffers. It may be useful to call this method
if memory is short. 

\subsubsection{Paramters}

\begin{description}
\ttitem{this}
\end{description}

\subsubsection{Return value}
